dojo.provide("com.ibm.bpm.wpd.base.errorhandling.WpdErrorDialog");

dojo.require("dijit.Dialog");
dojo.require("dijit._Widget");
dojo.require("dijit._Templated");


dojo.declare("com.ibm.bpm.wpd.base.errorhandling.WpdErrorDialog", [dijit._Widget,dijit._Templated ], {
	
	templatePath: dojo.moduleUrl("com.ibm.bpm.wpd.base.errorhandling", "templates/WpdErrorDialog.html"),
	widgetsInTemplate: true, 
	error : null, 
	_dialogMessages : null,
   	/**
   	 * @param 
   	 */
	constructor : function(){
		this._dialogMessages = {};
	},
	
	postMixInProperties: function() {
		//Find message in wle messages
		this._dialogMessages.errorDialogTitle = wle_gwt_i18n_CommonMessages.errorDialogTitle;
		if (!this._dialogMessages.errorDialogTitle){
			this._dialogMessages.errorDialogTitle = "IBM BPM Error";
		}
		this._dialogMessages.contentMessage = wle_gwt_i18n_RepositoryMessages.releaseErrorOccurredMessage;
		if (!this._dialogMessages.contentMessage){
			this._dialogMessages.contentMessage = "";
		}
		this._dialogMessages.moreDetails = wle_gwt_i18n_CommonMessages.moreDetails;
		if (!this._dialogMessages.moreDetails){
			this._dialogMessages.moreDetails = "More Details...";
		}
		this._dialogMessages.closeMessage= wle_gwt_i18n_CommonMessages.errorCloseAllMessages;
		if (!this._dialogMessages.closeMessage){
			this._dialogMessages.closeMessage = "Close All Error Messages";
		}
	},
    
	show: function(error) {
		//TODO 2: make the style better: sort of working, except it is not draggable
		//either leave with it. Or remove the wle header, use dojo.dialog header and make radius work
		
		this.error = error;
		this.dialogWindow.containerNode.className="";
		//this.dialogWindow.baseClass = "compareDialog";
		this.dialogWindow.baseClass = "";
		//this.dialogWindow.titleBar.className = "compareDialogTitleBar";
		this.dialogWindow.titleBar.style.visibility = "hidden";
		this.dialogWindow.show();
	},
	
	/*
	 * When user click the More details twister
	 */
	showErrorDetails : function(){
		//TODO3
		//1. for the javascript error, need to format them better. the server side one is fine
		//2. Why the message dose not show up?
		debugger;
		if (this.errorDetails.style.display == "none"){
			this.errorDetails.style.display = "block";	
			this.errorDetails.innerHTML = this.error;
		}
		else{
			this.errorDetails.style.display = "none";	
			this.errorDetails.innerHTML = "";
		}
	},
	
	close: function() {
		this.dialogWindow.hide();
	}

});

com.ibm.bpm.wpd.base.errorhandling.WpdErrorDialog.showError = function(message){
	//find or create	
	var dialog = dijit.byId("wpdErrorDialog");
	if(!dialog){
		dialog = new com.ibm.bpm.wpd.base.errorhandling.WpdErrorDialog();
	}
	dialog.show(message);
};

