dojo.provide("com.ibm.bpm.wpd.copy.model.CopyModelTypeProvider");
dojo.require("com.ibm.bpm.wpd.copy.view.CopyListView");
dojo.require("com.ibm.bpm.wpd.copy.model.CopyModel");

/**
 * Copy provider to control the copy model, view and icon.
 */
dojo.declare("com.ibm.bpm.wpd.copy.model.CopyModelTypeProvider", [com.ibm.bpm.wpd.core.model.documenttype.providers.BaseDocTypeProvider], {

	
	contructor : function () {
	},
	
	getDocType: function(){
		return "copyListModel";
	},
	
	createViewer : function(model, parent){
		return new com.ibm.bpm.wpd.copy.view.CopyListView({}, parent);
	},
	
	createDataModel : function(data){
		var model = new com.ibm.bpm.wpd.copy.model.CopyModel();
		model.setModel(data);
		return model;
	},
	
	getPORestPath: function(docId){
	},
	
	reuseViewer : function(){
		return false;
	},
	
	getIconPath : function(size){
		if(size == 16){
			return "images/Copy_icon_14_x_14.png";
		}
	}
});