dojo.provide("com.ibm.bpm.wpd.document.ParticipantGrp.model.ParticipantGrpDocTypeProvider");
dojo.require("com.ibm.bpm.wpd.core.model.documenttype.providers.BaseDocTypeProvider");
dojo.require("com.ibm.bpm.wpd.document.ParticipantGrp.view.ParticipantGrpViewer");

dojo.declare("com.ibm.bpm.wpd.document.ParticipantGrp.model.ParticipantGrpDocTypeProvider", [com.ibm.bpm.wpd.core.model.documenttype.providers.BaseDocTypeProvider], {

	
	contructor : function () {
	},
	
	getDocType: function(){
		return "ParticipantGrpDocType";
	},
	
	createViewer : function(model, parent){
		return new com.ibm.bpm.wpd.document.ParticipantGrp.view.ParticipantGrpViewer({viewStateModel:model}, parent);
	},

	reuseViewer : function(){
		return false;
	},
	
	cleanup: function(){
		
	},
	
	getPORestPath: function(docId){
		
		var url = "/v1/participantGroup/" + docId + "?";
		return url;
	},
	
	getIconPath : function(size){
		if(size == 16){
			return "images/assetview/user-group-16.png";
		}
	}
	
});