dojo.provide("com.ibm.bpm.wpd.document.bo.model.BODocTypeProvider");
dojo.require("com.ibm.bpm.wpd.core.model.documenttype.providers.BaseDocTypeProvider");
dojo.require("com.ibm.bpm.wpd.document.bo.view.BOViewer");

dojo.declare("com.ibm.bpm.wpd.document.bo.model.BODocTypeProvider", [com.ibm.bpm.wpd.core.model.documenttype.providers.BaseDocTypeProvider], {

    boModel: {},  // used to save off the model
	
	contructor : function () {
	},
	
	getDocType: function(){
		return "BODocType";
	},
	
	createViewer : function(model, parent){
		return new com.ibm.bpm.wpd.document.bo.view.BOViewer({viewStateModel:model}, parent);
	},

	reuseViewer : function(){
		return false;
	},
	
	cleanup: function(){
		
	},
	
	getPORestPath: function(docId){
		
		var url = "/v1/businessobject/" + docId + "?";
		return url;
	},
	
	getIconPath : function(size){
        //alert(JSON.stringify(this.boModel.getDocumentModel(), null, 4));
	
		if(size == 16){
		    if (this.viewStateModel != null && this.viewStateModel.getDocumentModel() != null && this.viewStateModel.getDocumentModel().isShared) {
			    return "images/assetview/variable-type-shared-16.png";
			} else {
                return "images/assetview/variable-type-16.png";
            }
		}
	}
	
});