dojo.provide("com.ibm.bpm.wpd.document.sla.model.slaDocTypeProvider");
dojo.require("com.ibm.bpm.wpd.core.model.documenttype.providers.BaseDocTypeProvider");
dojo.require("com.ibm.bpm.wpd.document.sla.view.slaViewer");

dojo.declare("com.ibm.bpm.wpd.document.sla.model.slaDocTypeProvider", [com.ibm.bpm.wpd.core.model.documenttype.providers.BaseDocTypeProvider], {

	
	contructor : function () {
	},
	
	getDocType: function(){
		return "slaDocType";
	},
	
	createViewer : function(model, parent){
		return new com.ibm.bpm.wpd.document.sla.view.slaViewer({viewStateModel:model}, parent);
	},

	reuseViewer : function(){
		return false;
	},
	
	cleanup: function(){
		
	},
	
	getPORestPath: function(docId){
		
		var url = "/v1/sla/" + docId + "?";
		return url;
	},
	
	getIconPath : function(size){
		if(size == 16){
			return "images/assetview/service-level-agreement-16.png";
		}
	}
	
});