dojo.provide("com.ibm.bpm.wpd.document.uca.model.ucaDocTypeProvider");
dojo.require("com.ibm.bpm.wpd.core.model.documenttype.providers.BaseDocTypeProvider");
dojo.require("com.ibm.bpm.wpd.document.uca.view.ucaViewer");

dojo.declare("com.ibm.bpm.wpd.document.uca.model.ucaDocTypeProvider", [com.ibm.bpm.wpd.core.model.documenttype.providers.BaseDocTypeProvider], {

	
	contructor : function () {
	},
	
	getDocType: function(){
		return "ucaDocType";
	},
	
	createViewer : function(model, parent){
		return new com.ibm.bpm.wpd.document.uca.view.ucaViewer({viewStateModel:model}, parent);
	},

	reuseViewer : function(){
		return false;
	},
	
	cleanup: function(){
		
	},
	
	getPORestPath: function(docId){
		
		var url = "/v1/uca/" + docId + "?";
		return url;
	},
	
	getIconPath : function(size){
		if(size == 16){
			if (this.viewStateModel != null && this.viewStateModel.getDocumentModel() != null) {
				if(this.viewStateModel.getDocumentModel().schedType == "OnEvent") {
					if(this.viewStateModel.getDocumentModel().eventType == "Message") {
						return "images/assetview/message_undercover_agent_16x16.png";
					}
					else if(this.viewStateModel.getDocumentModel().eventType == "Content") {
						return "images/assetview/content_undercover_agent_16x16.png";
					}
				}
				if (this.viewStateModel.getDocumentModel().schedType == "TimeElapsed") {
					if(this.viewStateModel.getDocumentModel().eventType == "Timer") {
						return "images/assetview/timer_undercover_agent_16x16.png";
					}
				}
			}
			return "images/assetview/undercover-agent-16.png";
		}
	}
	
});