dojo.provide("com.ibm.bpm.wpd.document.webservice.model.webserviceDocTypeProvider");
dojo.require("com.ibm.bpm.wpd.core.model.documenttype.providers.BaseDocTypeProvider");
dojo.require("com.ibm.bpm.wpd.document.webservice.view.webserviceViewer");

dojo.declare("com.ibm.bpm.wpd.document.webservice.model.webserviceDocTypeProvider", [com.ibm.bpm.wpd.core.model.documenttype.providers.BaseDocTypeProvider], {

	
	contructor : function () {
	},
	
	getDocType: function(){
		return "webserviceDocType";
	},
	
	createViewer : function(model, parent){
		return new com.ibm.bpm.wpd.document.webservice.view.webserviceViewer({viewStateModel:model}, parent);
	},

	reuseViewer : function(){
		return false;
	},
	
	cleanup: function(){
		
	},
	
	getPORestPath: function(docId){
		
		var url = "/v1/webservice/" + docId + "?";
		return url;
	},
	
	getIconPath : function(size){
		if(size == 16){
			return "images/assetview/web-service-16.png";
		}
	}
	
});