dojo.provide("com.ibm.bpm.wpd.sample.model.SampleDocTypeProvider");
dojo.require("com.ibm.bpm.wpd.sample.view.SampleViewer");

dojo.declare("com.ibm.bpm.wpd.sample.model.SampleDocTypeProvider", [com.ibm.bpm.wpd.core.model.documenttype.providers.BaseDocTypeProvider], {

	
	contructor : function () {
	},
	
	getDocType: function(){
		return "sampleDocType";
	},
	
	createViewer : function(model, parent){
		return new com.ibm.bpm.wpd.sample.view.SampleViewer({viewStateModel:model}, parent);
	},
	
	getPORestPath: function(docId){
		
		var url = "/v1/visual/processModel/" + docId + "?";
		return url;
	},
	
	getIconPath : function(size){
		if(size == 16){
			return "images/processes-16.png";
		}
	}
});