/*
Licensed Materials - Property of IBM
5725-C95
(C)Copyright IBM Corporation 2012. All Rights Reserved.
US Government Users Restricted Rights- Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/

var profile = (function(){
	var copyOnly = function(filename, mid){
        var isCopy = false;
        if((/package\.json/.test(filename)) || (/dashboards\.profiles\.js/.test(filename))){
        	isCopy = true;
        }
        return isCopy;
    };
	return {
	    resourceTags: {
	        amd: function(filename, mid) {
	            return (/\.js$/.test(filename)) && !copyOnly(filename, mid);
	        },
	        copyOnly: function(filename, mid){
	            return copyOnly(filename, mid);
	        }
	    }
	};
})();