dojo.provide("com.ibm.bpm.wpd.assetlistview.model.ProcessAppModel");

dojo.require("com.ibm.bpm.wpd.core.model.MObject");


/**
 *
 */
dojo.declare("com.ibm.bpm.wpd.assetlistview.model.ProcessAppModel", [com.ibm.bpm.wpd.core.model.MObject], {
		
	// PO type ID
	LSW_PROCESS: 1,			// Service Process
	LSW_IC: 2,				// Integration Definition
	LSW_CONNECTOR: 3,		// Connector
	LSW_UCA: 4,					// Under-cover agent
	LSW_WEB_SERVICE: 7,		// Web Service
	LSW_REPORT: 11,			// Report
	LSW_CLASS: 12,			// Variable Type
	LSW_SCBD: 13,			// Scoredboard
	LSW_TRACKING_GROUP: 14,	// Tracking Group
	LSW_TIMING_INTERVAL: 15,// Timing Interval
	LSW_TRACKING_POINT: 16, // Tracking Point
	LSW_TRACKED_VARIABLE: 17, // Tracked variable
	LSW_LAYOUT: 20,			// Layout
	LSW_EPV: 21,			// Exposed Process Value
	LSW_GLOBAL: 22,			// Global variable
	LSW_PARTICIPANT: 24, 	// Participant
	LSW_BPD: 25, 			// Business Process Definition, Process
	LSW_SLA: 47,			// Service Level Agreement
	LSW_ENV_VAR_SET: 62, 	// Environemtn Variable
	LSW_PROJECT_DEFAULTS: 63, // Project Defaults
		
    _assets : null,
 
    constructor: function() {
	},
	
	setModel : function(data){
		this._assets = data;
	}
});