dojo.provide("com.ibm.bpm.wpd.base.dialog.Dialog");

dojo.require("dijit.Dialog");

dojo.declare("com.ibm.bpm.wpd.base.dialog.Dialog",[ dijit.Dialog ], {
	
	//templatePath : dojo.cache("com.ibm.bpm.wpd.base.dialog", "templates/Dialog.html"),
	//templatePath : null,
	
	baseClass: "pdDialog",

	postCreate: function(){
		this.inherited(arguments);
		this.titleBar.className = "pdDialogTitleBar";
		this.titleNode.className =  "pdDialogTitle";
	},
	
	show: function() {
		this.inherited(arguments);
		
		// Prevent dialog titles that are too long. shorten them and add a ...
		// hover help will display the whole title
		var temp = this.titleNode.innerHTML;

		while (this.titleNode.offsetWidth > 480) {
			temp = temp.substring(0,temp.length - 5);
			this.titleNode.innerHTML = temp + "...";
		}
	}
	
});