dojo.provide("com.ibm.bpm.wpd.base.errorhandling.WpdLogger");
dojo.require("com.ibm.bpm.wpd.base.errorhandling.WpdErrorDialog");

com.ibm.bpm.wpd.base.errorhandling.WpdLogger.logError = function(classOrFileName, functionOrLineNumber, message, level){
	var url = com.ibm.bpm.wpd.base.getEndPointAndContextRootForModule(com.ibm.bpm.wpd.base.wpdConstant.BPM_WARNAME_WEBVIEWER) + "/service/v1/UITrace?traceLevel=SEVERE";
	var contentObj = {};
	contentObj.className = classOrFileName;
	contentObj.methodName = functionOrLineNumber;
	contentObj.message = message;
	var content = dojo.toJson(contentObj);
	var loadFn = function(response){
		//do nothing
	};
	
	var headers = { "Content-Type": "application/json"};
	//(verb, requestUrl, loadFn, errorFn, headers, isSync, message, deferred, handleAsType, xMethodOverride, user, password) {		
		try{
			com.ibm.bpm.wpd.core.control.WpdRestHandler.getInstance()._performRequest("post", url, loadFn, null, headers, false, content, null, 'json');
		}
		 catch (err){
		}

	if(!!level && level.toUpperCase() == "SEVERE"){
		com.ibm.bpm.wpd.base.errorhandling.WpdErrorDialog.showError(message);
	}	
	console.error(message);
};

com.ibm.bpm.wpd.base.errorhandling.WpdLogger.traceMessage = function(classOrFileName, functionOrLineNumber, message, level){
	
	var url = com.ibm.bpm.wpd.base.getEndPointAndContextRootForModule(com.ibm.bpm.wpd.base.wpdConstant.BPM_WARNAME_WEBVIEWER) + "/service/v1/UITrace?traceLevel=INFO";
	var content = {};
	content.className = classOrFileName;
	content.methodName = functionOrLineNumber;
	content.message = message;
	var loadFn = function(response){
		//do nothing
	};
	var headers = { "Content-Type": "application/json"};
	//verb, url, loadFn, errorFn, headers, isSync, message,
	try{
		com.ibm.bpm.wpd.core.control.WpdRestHandler.getInstance().performRequest("post", url, loadFn, null, null, false, content);
	}
	catch (err){
	}

};
