dojo.provide("com.ibm.bpm.wpd.copy.view.CopyListView");

dojo.require("com.ibm.bpm.wpd.assetlistview.view.AssetListView");
dojo.require("com.ibm.bpm.wpd.copy.view.CopyAssetContainer");
dojo.require("com.ibm.bpm.wpd.copy.view.CopyListAssetSection");
dojo.require("com.ibm.bpm.wpd.util.Helper");
dojo.require("com.ibm.bpm.wpd.core.control.events.OpenDocumentEvent");
dojo.require("dijit.form.Button");
dojo.require("com.ibm.bpm.wpd.copy.model.CopyModelCoordinator");
dojo.require("com.ibm.bpm.wpd.copy.view.CopyToDialog");
dojo.require("com.ibm.bpm.wpd.util.BidiUtils");

dojo.declare("com.ibm.bpm.wpd.copy.view.CopyListView", [ com.ibm.bpm.wpd.assetlistview.view.AssetListView ], {
		
	//templatePath : dojo.moduleUrl("com.ibm.bpm.wpd.copy.view","templates/CopyListView.html"),
	
	templateString : "<div style='height:100%;min-width:1120px;'>" +
		//"<div dojoAttachPoint='headerDiv' style='background-color:rgb(202,224,255);width:100%;height:25px;border-bottom:solid lightgray;'>" +
		//"<div dojoAttachPoint='headerDiv' style='background-color:rgb(202,224,255);width:100%;height:25px;'>" +
	"<div dojoAttachPoint='headerDiv' class='bcTag'>" +
			"<div style='padding-left:30px;padding-top:5px;float:left; width:600px;'>" +
			"<div style='float:left;font-weight:bold;' dojoAttachPoint='allFilterButton' dojoAttachEvent='onclick: filterAllClicked'>${copymessages.CL_ALL}</div>"+
			"<div style='float:left'>&nbsp;&nbsp|&nbsp;&nbsp</div>"+
			"<div style='float:left;text-decoration:underline;cursor:pointer' dojoAttachPoint='newFilterButton' dojoAttachEvent='onclick: filterNewClicked'>${copymessages.CL_NEW}</div>"+
			"<div style='float:left'>&nbsp;&nbsp|&nbsp;&nbsp</div>"+
			"<div style='float:left;text-decoration:underline;cursor:pointer' dojoAttachPoint='updateFilterButton' dojoAttachEvent='onclick: filterUpdateClicked'>${copymessages.CL_UPDATED}</div>"+
			"<div style='float:left'>&nbsp;&nbsp|&nbsp;&nbsp</div>"+
			"<div style='float:left;text-decoration:underline;cursor:pointer' dojoAttachPoint='conflictFilterButton' dojoAttachEvent='onclick: filterConflictClicked'>${copymessages.CL_CONFLICT}</div>"+
			"</div>" +
			//"<button style='float:right; padding-top:3px; padding-right:10px;background-color:red;' baseClass='' dojoAttachEvent='onClick: copyClicked' dojoType='dijit.form.Button' dojoAttachPoint='copyButton' type='button'>" +
			//"<button style='background-color:rgb(202,224,255);float:right;margin-top:2px; margin-right:10px;border:thin solid black;' dojoAttachEvent='onclick: copyClicked' dojoAttachPoint='copyButton' type='button'>" +
			"<button style='float:right;margin-top:2px; margin-right:10px;border:thin solid black;' dojoAttachEvent='onclick: copyClicked' dojoAttachPoint='copyButton' type='button'>" +
			"</button>" +
		"</div>" +
//		"<br><hr style='color:#D3D3D3;background-color:#D3D3D3;' size='3'>" +
		"<div dojoAttachPoint='allCopyElementsDiv' dojoType='com.ibm.bpm.wpd.copy.view.CopyAssetContainer' style='border:none'></div>" +
//		"<div dojoAttachPoint='newCopyElementsDiv' style='display:none' dojoType='com.ibm.bpm.wpd.copy.view.CopyAssetContainer'></div>" +
//		"<div dojoAttachPoint='conflictCopyElementsDiv' style='display:none' dojoType='com.ibm.bpm.wpd.copy.view.CopyAssetContainer'></div>" +
//		"<div dojoAttachPoint='updatedCopyElementsDiv' style='display:none' dojoType='com.ibm.bpm.wpd.copy.view.CopyAssetContainer'></div>" +
		"<div dojoAttachPoint='newCopyElementsDiv' style='display:none' dojoType='com.ibm.bpm.wpd.copy.view.CopyAssetContainer' style='border:none'><b>${copymessages.CL_NEW_NONE}</b></div>" +
		"<div dojoAttachPoint='conflictCopyElementsDiv' style='display:none' dojoType='com.ibm.bpm.wpd.copy.view.CopyAssetContainer' style='border:none'><b>${copymessages.CL_CONFLICT_NONE}</b></div>" +
		"<div dojoAttachPoint='updatedCopyElementsDiv' style='display:none' dojoType='com.ibm.bpm.wpd.copy.view.CopyAssetContainer' style='border:none'><b>${copymessages.CL_UPDATED_NONE}</b></div>" +
	"</div>",
		
	widgetsInTemplate : true,
	trackCompare: true,
	lastSelectedFilter: null,
	copyItems: null,
	selectedAccoridion: null,
	updateCopyList: "com.ibm.bpm.wpd.copy.view.updateList",
	filterCount:{},
	expandedSection: null,
	
	constructor : function() {
		
		this.reloadAppModel();
		
		this.copyItems = new com.ibm.bpm.wpd.copy.model.CopyModelCoordinator();
		this.copyItems.reset();
	},
	
	postCreate: function() {
		
		var jss = this;
		this.updateListener = dojo.subscribe(this.updateCopyList, function() {
			jss.updateList();
		});
		
		
		//this.assetListAttachPoint.expandedSections = true;
		this.lastSelectedFilter = this.allFilterButton;
		
		this.selectedAccoridion = this.allCopyElementsDiv; 

		var branchDisplayName = com.ibm.bpm.wpd.core.model.shellstate.ShellStateModel.getInstance().brachName;
		var dir =  com.ibm.bpm.wpd.util.BidiUtils.getDirValue(branchDisplayName);
		if (dir=="rtl") {
			branchDisplayName = "<span dir='rtl'>" + branchDisplayName + "</span>";
		}
		var snapshotDisplayName = com.ibm.bpm.wpd.core.model.shellstate.ShellStateModel.getInstance().snapshotName;
		dir =  com.ibm.bpm.wpd.util.BidiUtils.getDirValue(snapshotDisplayName);
		if (dir=="rtl") {
			snapshotDisplayName = "<span dir='rtl'>" + snapshotDisplayName + "</span>";
		}
		var trackDisplayName = this.appModel.copyToTrack;
		dir =  com.ibm.bpm.wpd.util.BidiUtils.getDirValue(trackDisplayName);
		if (dir=="rtl") {
			trackDisplayName = "<span dir='rtl'>" + trackDisplayName + "</span>";
		}
		var copyButtontitle = com.ibm.bpm.wpd.util.Helper.format(this.copymessages.CL_COPY_BUTTON,
				branchDisplayName,
				snapshotDisplayName,
				trackDisplayName);
		
		this.copyButton.title = copyButtontitle;
		
		var extractFirst40 = this.extractPrefix(copyButtontitle, 40);
//		if (copyButtontitle.length > 40)
//			copyButtontitle = copyButtontitle.substring(0,40) + "...";
		copyButtontitle = extractFirst40 + "...";
		
		this.copyButton.innerHTML = copyButtontitle;
		
		this.populateContent(this.allCopyElementsDiv,"A");
		this.populateContent(this.newCopyElementsDiv,"N");
		this.populateContent(this.conflictCopyElementsDiv,"C");
		this.populateContent(this.updatedCopyElementsDiv,"U");
		
		this.allCopyElementsDiv.startup();
		this.newCopyElementsDiv.startup();
		this.conflictCopyElementsDiv.startup();
		this.updatedCopyElementsDiv.startup();
		
		this.allCopyElementsDiv.defaultSectionSize = 50;
		
	},
	
	extractPrefix: function(text, limit) {
		var result = "";
		var remaining = text;
		var count=0;
		var needClosingSpan = false;
		while (count<limit && remaining.length>0) {
			if (remaining.indexOf("<span dir='rtl'>")==0) {
				if (remaining.length>16) {
					result += "<span dir='rtl'>";
					remaining = remaining.substring(16);
					needClosingSpan = true;
				}
				else {
					result += "<span dir='rtl'></span>";
					remaining = "";
				}
			}
			else
			if (remaining.indexOf("</span>")==0) {
				result += "</span>";
				if (remaining.length>7) {
					remaining = remaining.substring(7);
				}
				else {
					remaining = "";
				}
				needClosingSpan = false;
			}
				
			else {
				result += remaining[0];
				remaining = remaining.substring(1);
				count+=1;
			}			
		};
		if (needClosingSpan)
			result += "</span>";
		
		return result;
	},

	
	reloadAppModel: function() {
		// Really need a clone of the app model as we'll be modifying it
		var step1 = dojo.toJson(com.ibm.bpm.wpd.core.model.shellstate.ShellStateModel.getInstance()._copyModel);
		var beforeCleanup = dojo.fromJson(step1);
		for (var asset in beforeCleanup._assets) {
		//for (var i=0;i<beforeCleanup._assets.length;i++) {
			var hasNew = 0;
			var hasModified = 0;
			var hasConflict = 0;
			
			var asset = beforeCleanup._assets[asset];
			for (var j=0;j<asset.length;j++) {
				if (asset[j].status == "New")
					hasNew++;
				
				if (asset[j].status == "Updated")
					hasModified++;
				
				if (asset[j].status == "Conflict" && !asset[j].sameVersionId)
					hasConflict++;
			}
			
			// Add an attribute for our filter types
			//var filterAssetCount = {};
			asset.filterTypesNew = hasNew;
			asset.filterTypesModified = hasModified;
			asset.filterTypesConflict = hasConflict;
		}
		
		this.setAssetModel(beforeCleanup);
	},
	
	filterAllClicked: function() {
		
		//this.allFilterButton.style.color = "black";
		//this.lastSelectedFilter.style.color = "blue";
		this.allFilterButton.style.fontWeight = "bold";
		this.lastSelectedFilter.style.fontWeight = "normal";
		
		this.allFilterButton.style.textDecoration = "none";
		this.newFilterButton.style.textDecoration = "underline";
		this.updateFilterButton.style.textDecoration = "underline";
		this.conflictFilterButton.style.textDecoration = "underline";
		
		this.allFilterButton.style.cursor = "default";
		this.newFilterButton.style.cursor = "pointer";
		this.updateFilterButton.style.cursor = "pointer";
		this.conflictFilterButton.style.cursor = "pointer";
		
		this.lastSelectedFilter = this.allFilterButton;
		
		this.allCopyElementsDiv.domNode.style.display="block";
		this.selectedAccoridion.domNode.style.display = "none";
		this.selectedAccoridion.domNode.style.visibility = "hidden";
		this.allCopyElementsDiv.domNode.style.visibility = "visible";
		this.selectedAccoridion = this.allCopyElementsDiv;

	},
	
	filterNewClicked: function() {
		
		//this.newFilterButton.style.color = "black";
		//this.lastSelectedFilter.style.color = "blue";
		this.newFilterButton.style.fontWeight = "bold";
		this.lastSelectedFilter.style.fontWeight = "normal";
		
		this.allFilterButton.style.textDecoration = "underline";
		this.newFilterButton.style.textDecoration = "none";
		this.updateFilterButton.style.textDecoration = "underline";
		this.conflictFilterButton.style.textDecoration = "underline";
		
		this.allFilterButton.style.cursor = "pointer";
		this.newFilterButton.style.cursor = "default";
		this.updateFilterButton.style.cursor = "pointer";
		this.conflictFilterButton.style.cursor = "pointer";
		
		this.lastSelectedFilter = this.newFilterButton;
		
		this.newCopyElementsDiv.domNode.style.display="block";
		this.selectedAccoridion.domNode.style.display = "none";
		this.selectedAccoridion.domNode.style.visibility = "hidden";
		this.newCopyElementsDiv.domNode.style.visibility = "visible";
		this.selectedAccoridion = this.newCopyElementsDiv;
	},
	
	filterUpdateClicked: function() {
		
		//this.updateFilterButton.style.color = "black";
		//this.lastSelectedFilter.style.color = "blue";
		this.updateFilterButton.style.fontWeight = "bold";
		this.lastSelectedFilter.style.fontWeight = "normal";
		
		this.allFilterButton.style.textDecoration = "underline";
		this.newFilterButton.style.textDecoration = "underline";
		this.updateFilterButton.style.textDecoration = "none";
		this.conflictFilterButton.style.textDecoration = "underline";
		
		this.allFilterButton.style.cursor = "pointer";
		this.newFilterButton.style.cursor = "pointer";
		this.updateFilterButton.style.cursor = "default";
		this.conflictFilterButton.style.cursor = "pointer";
		
		this.lastSelectedFilter = this.updateFilterButton;
		
		this.updatedCopyElementsDiv.domNode.style.display="block";
		this.selectedAccoridion.domNode.style.display="none";
		this.selectedAccoridion.domNode.style.visibility = "hidden";
		this.updatedCopyElementsDiv.domNode.style.visibility = "visible";
		this.selectedAccoridion = this.updatedCopyElementsDiv;
	},
	
	filterConflictClicked: function() {
		
		//this.conflictFilterButton.style.color = "black";
		//this.lastSelectedFilter.style.color = "blue";
		this.conflictFilterButton.style.fontWeight = "bold";
		this.lastSelectedFilter.style.fontWeight = "normal";
		
		this.allFilterButton.style.textDecoration = "underline";
		this.newFilterButton.style.textDecoration = "underline";
		this.updateFilterButton.style.textDecoration = "underline";
		this.conflictFilterButton.style.textDecoration = "none";
		
		this.allFilterButton.style.cursor = "pointer";
		this.newFilterButton.style.cursor = "pointer";
		this.updateFilterButton.style.cursor = "pointer";
		this.conflictFilterButton.style.cursor = "default";
		
		this.lastSelectedFilter = this.conflictFilterButton;
		
		this.conflictCopyElementsDiv.domNode.style.display="block";
		this.selectedAccoridion.domNode.style.display="none";
		this.selectedAccoridion.domNode.style.visibility = "hidden";
		this.conflictCopyElementsDiv.domNode.style.visibility = "visible";
		this.selectedAccoridion = this.conflictCopyElementsDiv;
	},
	
	copyClicked: function() {
		//alert(this.copyItems.getCheckedAssets());
		
		var array = this.copyItems.getCheckedAssetsAsArray();

		var params = {assetArray:array, 
			brachFromName: com.ibm.bpm.wpd.core.model.shellstate.ShellStateModel.getInstance().brachName,
			snapshotName:com.ibm.bpm.wpd.core.model.shellstate.ShellStateModel.getInstance().snapshotName,
			branchToName:this.appModel.copyToTrack};
		
		new com.ibm.bpm.wpd.copy.view.CopyToDialog(params);
	},
	
	postMixInProperties: function()
	{
		dojo.requireLocalization("com.ibm.bpm.wpd.copy.view", "CopyResources");
		this.copymessages = dojo.i18n.getLocalization("com.ibm.bpm.wpd.copy.view", "CopyResources");
		
		this.inherited(arguments);
	},
	
	/**
	 * Populate the widget's contents
	 */
	populateContent: function(accordianWidgetToBuild, accordionType) {
		
		var accordionWidget = accordianWidgetToBuild;
		
		var defaultSection = true;
		
		var shouldHide = true;
		for (var asset in this.orderedSections) {
			var assetName = asset;

			// Determine is it's a composite section
			if (assetName == "Performance tracking") {
				this.insertAssetSectionForComposite(accordionWidget,assetName,this.orderedSections[assetName], accordionType);
				continue;
			}

			var assetValue = this.appModel._assets[assetName];
			
			// Doesn't exist
			if (!assetValue)
				continue;
			
			var assetCount = assetValue.length;
			
			if (accordionType == "N") {
				if (assetValue.filterTypesNew==0)
					continue;
				else
					assetCount = assetValue.filterTypesNew;
			}			
			else if (accordionType == "U") {
				if(assetValue.filterTypesModified==0)
					continue;
				else
					assetCount = assetValue.filterTypesModified;
			}
			else if (accordionType == "C") {
				if (assetValue.filterTypesConflict==0)
					continue;
				else
					assetCount = assetValue.filterTypesConflict;
			}
			
			// Set the no asset message to an empty string
			if (shouldHide) {
			accordianWidgetToBuild.domNode.innerHTML = "";
			shouldHide = false;
			}
			
			// Create the section
			var accordianSection = this.insertAssetSection(accordionWidget, assetName, this.orderedSections[assetName], assetCount, true, defaultSection, accordionType);
			defaultSection =false;
		}
		
		defaultSection =false;
		
		return accordionWidget;
	},
	
	insertAssetSection: function(parentDiv, sectionName, assetInfo, assetsCount, includeHeadings, defaultSection, status) {
		var sectionDiv = this.inherited(arguments);
		
		if (status == "N") {
			// There appears to be an issue when building the dojo accoridions. The second accordion occasionally gets the on
			// show, but sometime it never does. Check to see if it get the on show and if not populate it
			if (sectionDiv.childNodes.length == 0) {
				var newDiv = document.createElement("div");
		   		sectionDiv.appendChild(newDiv);
	
		   		if (assetInfo.compound) {
		   			for (var asset in assetInfo.compound) {
		       			var assetValue = this.appModel._assets[asset];
		       			if(assetValue) {
		            		for (var i=0;i< assetValue.length; i++) {
			     				this.insertAsset(assetValue[i],newDiv,assetInfo.compound[asset].icon,sectionName, status);
		            		}
		       			}
		   			}
		   		}
		   		else {
		       		var assetValue = this.appModel._assets[sectionName];
		       		for (var i=0;i< assetValue.length; i++) {
		    				this.insertAsset(assetValue[i],newDiv,assetInfo.icon,sectionName, status);
		       		}
		   		}
			}
		}
		
		return sectionDiv;
	},
	
	insertAsset: function(asset, parentDiv, imageName, aSectionName, accoridionType) {
				
		var nat = false;
		var cat = false;
		var conat = false;
		var assetIsChecked = false;
		if (asset.status == "New") {
			if (accoridionType == "N" || accoridionType == "A")
				nat=true;
			else
				return;
			
			assetIsChecked = true;
		}
		
		if (asset.status == "Conflict") {
			if ((accoridionType == "C" && !asset.sameVersionId) || accoridionType == "A")
				cat=true;
			else
				return;
		}
			
		if (asset.status == "NoChange" && !(accoridionType == "A")){
			return;
		}
		
		if (asset.status == "Updated"){
			if (accoridionType == "U" || accoridionType == "A")
				conat=true;
			else
				return;
		}
		
		// Special case handling for VariableType because icon changes with shared state
        var icon = imageName;
        if (aSectionName == "VariableType") {
            icon = this.getBOIcon(imageName, asset);
        }
		
		var copyAsset = new com.ibm.bpm.wpd.copy.model.AssetValue(asset.poId, assetIsChecked, nat, cat, conat, asset.name, dojo.moduleUrl("com.ibm.bpm.wpd", "images/assetview/" + icon));

		this.copyItems.insertAsset(copyAsset);

//		if (dojo.isIE) {
//			// Since IE currently doesn't support round corners we have to hack it a little. We can achieve the same effect using background images
//			// and break it into multiple sections. These being top left, top right, left, inner, right, bottom left, bottom right
//			// To make this slight tricky is we need to be able to grow the container
//			
//			// First define a growable container which will set the top left icon
//			var mainDiv = document.createElement("div");
//			mainDiv.className="alsgrowablecontainer";
//			parentDiv.appendChild(mainDiv);
//			
//			// Add the top right image
//			var topDiv = document.createElement("div");
//			topDiv.className="alstop";
//			var topSpan = document.createElement("span");
//			topDiv.appendChild(topSpan);
//			mainDiv.appendChild(topDiv);
//			// Create the inner portion, we are in effect just wrapping our asset list section here
//			var innerDiv = document.createElement("div");
//			innerDiv.className = "alsright";
//			mainDiv.appendChild(innerDiv);
//			
//			var al = {
//					parent: this,
//					assetName:asset.name,
//					assetDescription:asset.description,
//					assetOwner:asset.last_modified_by_userName,
//					assetModifiedAt:asset.last_modified, 
//					assetStatus:asset.status,
//					assetpoId:asset.poId,
//					sectionName:aSectionName,
//					copyAsset:copyAsset,
//					assetIcon:dojo.moduleUrl("com.ibm.bpm.wpd", "images/assetview/" + imageName)
//					};
//			var as = new com.ibm.bpm.wpd.copy.view.CopyListAssetSection(al);
//			innerDiv.appendChild(as.domNode);
//			
//			var bottomDiv = document.createElement("div");
//			bottomDiv.className="alsbottom";
//			var bottomSpan = document.createElement("span");
//			bottomDiv.appendChild(bottomSpan);
//			mainDiv.appendChild(bottomDiv);
//		}
//		else {
			var al = {
					parent: this,
					assetName:asset.name,
					assetDescription:asset.description,
					assetOwner:asset.last_modified_by_userName,
					assetModifiedAt:asset.last_modified, 
					assetStatus:asset.status,
					sameVersionId:asset.sameVersionId,
					assetpoId:asset.poId,
					existsInTarget: asset.existsInTarget,
					sectionName:aSectionName,
					copyAsset:copyAsset,
					assetIcon:dojo.moduleUrl("com.ibm.bpm.wpd", "images/assetview/" + icon)
					};
			var as = new com.ibm.bpm.wpd.copy.view.CopyListAssetSection(al);
			parentDiv.appendChild(as.domNode);
//		}
	},
	
	getCompositeAssetLength: function(assetInfo, accordionType) {
		var assetLength = 0;
		
		for (var asset in assetInfo.compound) {
			var t = this.appModel._assets[asset];
			if (t)
				assetLength = assetLength + this.getAssetCountForFilter(t, accordionType);
		}
		
		return assetLength;
	},
	
	getAssetCountForFilter: function(assetValue,accordionType) {
		
		if (accordionType == "N") {
			return assetValue.filterTypesNew;
		}			
		else if (accordionType == "U") {
			return assetValue.filterTypesModified;
		}
		else if (accordionType == "C") {
			return assetValue.filterTypesConflict;
		}
		
		return assetValue.length;
		
	},
	
	destroy: function(){
		this.inherited(arguments);
		dojo.unsubscribe(this.updateListener);
	},
	
	expandSection: function(section) {
		//first close the old one
		if (this.expandedSection)
			this.expandedSection.closeSection();
		
		this.expandedSection = section;
	},
	
	closeSection: function() {
		this.expandedSection = null;
	},
	
	updateList: function() {
		// Reload the app model
		this.reloadAppModel();
		
		// Clear out the old accordions
		var children = this.allCopyElementsDiv.getChildren();
		for (var i=0;i<children.length; i++) {
			this.allCopyElementsDiv.removeChild(children[i]);
		}
		children = this.newCopyElementsDiv.getChildren();
		for (var i=0;i<children.length; i++) {
			this.newCopyElementsDiv.removeChild(children[i]);
		}
		children = this.conflictCopyElementsDiv.getChildren();
		for (var i=0;i<children.length; i++) {
			this.conflictCopyElementsDiv.removeChild(children[i]);
		}
		children = this.updatedCopyElementsDiv.getChildren();
		for (var i=0;i<children.length; i++) {
			this.updatedCopyElementsDiv.removeChild(children[i]);
		}
		
		// Reset the coordinator
		this.copyItems.reset();
		
		this.newCopyElementsDiv.domNode.innerHTML = "<b>" + this.copymessages.CL_NEW_NONE + "</b>";
		this.conflictCopyElementsDiv.domNode.innerHTML = "<b>" + this.copymessages.CL_CONFLICT_NONE + "</b>";
		this.updatedCopyElementsDiv.domNode.innerHTML = "<b>" + this.copymessages.CL_UPDATED_NONE + "</b>";

		// Repopulate the accordions
		this.populateContent(this.allCopyElementsDiv,"A");
		this.populateContent(this.newCopyElementsDiv,"N");
		this.populateContent(this.conflictCopyElementsDiv,"C");
		this.populateContent(this.updatedCopyElementsDiv,"U");

	},
	
	queryRevisions : function(){
		//do nothing
	},
	
	queryProcessAppSettings : function(){
		//do nothing
	},
	
	getBOIcon : function(imageName, asset){
	    return this.inherited(arguments);
	},
	
	setupSectionArray: function() {
		this.inherited(arguments);
		//this.orderedSections["Others"] = {key:this.copymessages.CL_OTHERS_SECTION,icon:"processes-16.png"};
		this.orderedSections["Others"] = {key:this.copymessages.CL_OTHERS_SECTION,icon:"Other.png"};
		this.orderedSections["AdvancedContent"] = {key:this.copymessages.CL_ADVANCED_CONTENT_SECTION,icon:"Other.png"};
		this.orderedSections["ProcessAppSettings"] = {key:this.messages.AL_PROCESS_APPS_SETTINGS,icon:"Other.png"};
	}
	
});