dojo.provide("com.ibm.bpm.wpd.core.control.events.OpenDocumentEvent");

dojo.require("com.ibm.bpm.wpd.core.control.events.BaseEvent");

/**
 * This event is used to trigger a OpenDocumentCommand
 * @param an object contains the following properties
 *
 * For viewing details of bpd, service......., and using drill in
 *      branchId or snapshotId
 *      documentId po id of the activity to be drilled in
 *      documentName
 *      
 * For viewing process instance
 * 		instanceId
 *      instanceName
 *      type: The type of the docTypeProvider to be used
 *      bpdId
 *      
 *      For drill in in process instance view
 *      instanceId
 *      type: The type of the docTypeProvider to be used
 *      branchId or snapshotId
 *      documentId po id of the activity to be drilled in
 *      documentName
 *      
 
 */
dojo.declare("com.ibm.bpm.wpd.core.control.events.OpenDocumentEvent", [com.ibm.bpm.wpd.core.control.events.BaseEvent], {
	//public variable
	params : null,
	additonalParams: null, 
	constructor : function (parameters, additonalParams) {
		this.params = parameters;
		this.additonalParams = additonalParams;
	}
});