dojo.provide("com.ibm.bpm.wpd.document.ais.model.aisDocTypeProvider");
dojo.require("com.ibm.bpm.wpd.core.model.documenttype.providers.BaseDocTypeProvider");
dojo.require("com.ibm.bpm.wpd.document.ais.view.aisViewer");

dojo.declare("com.ibm.bpm.wpd.document.ais.model.aisDocTypeProvider", [com.ibm.bpm.wpd.core.model.documenttype.providers.BaseDocTypeProvider], {

	
	contructor : function () {
	},
	
	getDocType: function(){
		return "aisDocType";
	},
	
	createViewer : function(model, parent){
		return new com.ibm.bpm.wpd.document.ais.view.aisViewer({viewStateModel:model}, parent);
	},

	reuseViewer : function(){
		return false;
	},
	
	cleanup: function(){
		
	},
	
	getPORestPath: function(docId){
		
		var url = "/v1/SCAServiceModel/" + docId + "?";
		return url;
	},
	
	getIconPath : function(size){
		if(size == 16){
			return "images/assetview/ais16_wle.png";
		}
	}
	
});