dojo.provide("com.ibm.bpm.wpd.document.bpd.model.BPDDocTypeProvider");
dojo.require("com.ibm.bpm.wpd.core.model.documenttype.providers.BaseDocTypeProvider");
dojo.require("com.ibm.bpm.wpd.document.bpd.view.BPMNViewer");

dojo.declare("com.ibm.bpm.wpd.document.bpd.model.BPDDocTypeProvider", [com.ibm.bpm.wpd.core.model.documenttype.providers.BaseDocTypeProvider], {

	
	contructor : function () {
	},
	
	getDocType: function(){
		return "BPDDocType";
	},
	
	createViewer : function(model, parent){
		return new com.ibm.bpm.wpd.document.bpd.view.BPMNViewer({viewStateModel:model}, parent);
	},

	reuseViewer : function(){
		return false;
	},
	
	cleanup: function(){
		
	},
	
	getPORestPath: function(docId){
		
		var url = "/v1/visual/processModel/" + docId + "?";
		return url;
	},
	
	getIconPath : function(size){
		if(size == 16){
			return "images/processes-16.png";
		}
	}
	
});