dojo.provide("com.ibm.bpm.wpd.document.bpd.model.ServiceTypeProvider");
dojo.require("com.ibm.bpm.wpd.core.model.documenttype.providers.BaseDocTypeProvider");
dojo.require("com.ibm.bpm.wpd.document.bpd.view.ServiceViewer");

dojo.declare("com.ibm.bpm.wpd.document.bpd.model.ServiceTypeProvider", [com.ibm.bpm.wpd.core.model.documenttype.providers.BaseDocTypeProvider], {

	
	contructor : function () {
	},
	
	getDocType: function(){
		return "Service";
	},
	
	createViewer : function(model, parent){
		return new com.ibm.bpm.wpd.document.bpd.view.ServiceViewer({viewStateModel:model}, parent);
	},

	reuseViewer : function(){
		return false;
	},
	
	cleanup: function(){
		
	},
	
	getPORestPath: function(docId){
		
		var url = "/v1/visual/serviceModel/" + docId + "?";
		return url;
	},
	
	getIconPath : function(size){
		if(size == 16){
			return "images/processes-16.png";
		}
	},
	
	getServiceIconPath : function(size, serviceType){
		if(size == 16){
			if (serviceType == "Rule Service") {
				return "images/assetview/rule-service-16.png";
			} else if (serviceType == "Integration Service") {
				return "images/assetview/integration-service-16.png";
			} else if (serviceType == "Human Service") {
				return "images/assetview/human-service-16.png";
			} else if (serviceType == "General System Service") {
				return "images/assetview/general_service_16x16.png";
			} else if (serviceType == "Ajax Service") {
				return "images/assetview/ajax-service-16.png";
			}
			
			return "images/processes-16.png";
		}
	}
	
});