dojo.provide("com.ibm.bpm.wpd.document.coach.view.CoachPreviewViewer");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");

/**
 * CoachPreviewViewer, for coach preview presentation.
 */
dojo.declare("com.ibm.bpm.wpd.document.coach.view.CoachPreviewViewer", [
		dijit._Widget, dijit._Templated ], {

	templateString : "<div dojoAttachPoint='coachPreviewContainer'></div>",
	coachId : "",
	snapshotId : "",
	twProcessId : "",
	constructor : function(args) {
		this.coachId = args.coachId;
		this.snapshotId = args.snapshotId;
		this.twProcessId = args.twProcessId;
	},

	/**
	 * Setup the resource bundles
	 */
	postMixInProperties : function() {
		//dojo.requireLocalization("com.ibm.bpm.wpd.document.coach.view",
		//		"CoachResources");
		//this.messages = dojo.i18n.getLocalization(
		//		"com.ibm.bpm.wpd.document.coach.view", "CoachResources");
	},

	/**
	 * Create and populate the widget
	 */
	postCreate : function() {
		com.ibm.bpm.wpd.core.control.WpdRestHandler.getInstance()
				.performRequest(
						"get",
						"/v1/coachpreview/" + this.coachId + "?snapshotId="
								+ this.snapshotId + "&twProcessId="
								+ this.twProcessId,
						dojo.hitch(this, function(response) {
							this.coachPreviewContainer.innerHTML = response;
						}), dojo.hitch(this, function(response) {
						}));
	}
});
