/**
 * Public function used to launch the BPMNInspector diagrammer widget
 */
function openBPMNInspector(processInstanceId) {	
	try{
		debugger;
		var contentDiv = dojo.byId("container"); // find content <div> for contents of ProcessInspector		
		if( !contentDiv )
			return;
			
		
/*		if (dojo.isIE < 7) {
			var project={projectName:projectName, projectId:projectId, snapshotName:snapshotName, snapshotId:snapshotId};
			// For now set a physical height, for some reason IE6 doesn't work otherwise
			var style = "position:absolute; clear:both;height:700px; top: 50px; bottom: 0px; right:0px; left:0px";
			var view =  com.ibm.bpm.wpd.base.createWebViewerComponenet("com.ibm.bpm.wpd.base.DocumentationViewer", project, style, t);
		}
		else {
			var project={projectName:projectName, projectId:projectId, snapshotName:snapshotName, snapshotId:snapshotId};
			var style = "position: absolute; top: 50px; bottom: 0px; right:0px; left:0px; border:0px";
			var view =  com.ibm.bpm.wpd.base.createWebViewerComponenet("com.ibm.bpm.wpd.base.DocumentationViewer", project, style, t);
		}
*/		
			// create BMPN diagrammer dojo widget, with "myDiagrammer" Id
/*			var diagrammer = new com.ibm.bpm.wpd.document.bpd.view.BPMNInspector( {
				id:    			"BPMNInspector",
			 	viewerOnly: 	true,
				enableEditing: 	false,
				debug: 			true
			});
*/			
			
			debugger;
			
			// Hide the div that exists, do not destroy it as the is a callback that it will break
			
			// processPanel.firstChild.style.visibility = 'hidden';		
			// processPanel.firstChild.style.display = 'none';
			// processPanel.removeChild(processPanel.firstChild);
						
			var tempDiv = document.createElement("div");
			contentDiv.appendChild(tempDiv);
			

			var windowHeight = (typeof window.innerHeight != 'undefined' ? window.innerHeight : document.body.offsetHeight);
			// var computedHeight = document.defaultView.getComputedStyle(contentDiv, "").getPropertyValue("height");			
			
			if( !windowHeight || (windowHeight <= 0) ) {
				windowHeight = 500;
			} else {
				windowHeight = windowHeight - 45; // remove height of the footer
			}
				
			// var bpmnInspectorStyle = "position: absolute; top: 45px; left:0; border: 1px dotted red";
			// var bpmnInspectorStyle = "width: auto; height: 500px; border: 1px green";			
			var bpmnInspectorStyle = "width: auto; height: " + windowHeight + "px; border: 1px green";	
			
			// var processURL = "http://localhost:9080/rest/bpm/wle/v1/visual/processModel/instance/3";
			var processURL = "HRSample4.json";

	        var bpmnInspector = new com.ibm.bpm.wpd.document.bpd.view.BPMNInspector( {restURL: processURL, debug: 'true', viewerOnly: 'true', style: bpmnInspectorStyle}, tempDiv);

			// contentDiv.firstChild.style.display = 'none';
			contentDiv.children[0].style.display = 'none';
			contentDiv.children[1].style.display = 'none';
			
				        
			// bpmnInspector.onShow();			
	}catch( err ){
		alert( err );
	}
}

/**
 * Public function to switch back to the process inspector workbench
 */
function closeBPMNInspector() {
	
	try{
		var contentDiv = dojo.byId("container"); // find content <div> for contents of ProcessInspector				
		
		// We will remove our div, should it exist
		if(contentDiv && contentDiv.childNodes.length == 3) {
			// contentDiv.lastChild is hidden <table> element
			// contentDiv.firstChild is <div> element for the BMPNInspector that needs to be destroyed					
			
			//Destroy the BPMNInspector widget			
			dijit.byId(contentDiv.lastChild.id).destroyRecursive();

			// Seems like a useless check, it appears the destroyRecurive is removing itself from the parent
			// check and if it's gone don't remove again
			if(contentDiv.childNodes.length == 3) {
				contentDiv.removeChild(contentDiv.lastChild);
			}
			
			// contentDiv.firstChild.style.display = "";
			contentDiv.children[0].style.display = "";
			contentDiv.children[1].style.display = "";
			
		}
	}catch( err ){
		alert( err );
	}
}

/**
 * This method handles selection changes in the graph due to user action in the popup
 * 
 * @param activityId
 */
function selectActivity(activityId) {
	alert("Dojo code - activity selected with Id: " + activityId);

	debugger;
	var contentDiv = dojo.byId("container"); // find content <div> for contents of ProcessInspector		
	if(contentDiv && contentDiv.childNodes.length == 2) {
		// contentDiv.lastChild is hidden <table> element
		// contentDiv.firstChild is <div> element for the BMPNInspector that needs to be destroeyd
	
		//Destroy the BPMNInspector widget			
		var bpmnDiagram = dijit.byId(contentDiv.lastChild.id);
		if( bpmnDiagram ) {
			bpmnDiagram.selectActivity(activityId);
		}
	}
	
}



